com.tibbo.aggregate.common.context.loader

## Class SmartFilterExpressionValidator

- java.lang.Object
- - com.tibbo.aggregate.common.context.loader.ExpressionContextValidator
  - - com.tibbo.aggregate.common.context.loader.SmartFilterExpressionValidator

- All Implemented Interfaces:
    ContextValidator

      public class SmartFilterExpressionValidator
      extends ExpressionContextValidator
      implements ContextValidator

  Validator which will accept the context if it matches the expression provided, uses {childInfo} as a default table
  Since:
    24.10.2023
  See Also:
    AGG-14058

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `NAME`

    - ### Fields inherited from class com.tibbo.aggregate.common.context.loader.ExpressionContextValidator

      `caller, contextManager, reference, validityExpression`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmartFilterExpressionValidator(ContextManager contextManager, CallerController caller, Expression smartFilterExpression, Reference reference)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `evaluate(java.lang.String contextPath, Context context, Evaluator evaluator)`

    - ### Methods inherited from class com.tibbo.aggregate.common.context.loader.ExpressionContextValidator

      `getDefaultTable, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.tibbo.aggregate.common.context.loader.ContextValidator

      `validate`

- - ### Field Detail

    - #### NAME

          public static final java.lang.String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SmartFilterExpressionValidator

          public SmartFilterExpressionValidator(@Nonnull
                                                ContextManager contextManager,
                                                @Nonnull
                                                CallerController caller,
                                                @Nonnull
                                                Expression smartFilterExpression,
                                                @Nonnull
                                                Reference reference)

  - ### Method Detail

    - #### evaluate

          protected boolean evaluate(java.lang.String contextPath,
                                     Context context,
                                     Evaluator evaluator)

      Overrides:
        `evaluate` in class `ExpressionContextValidator`